/*
 * usart_ll.c
 *
 *  Created on: Dec 2, 2019
 *      Author: abody
 */

#include "usart_ll.h"
#include <CppUTestExt/MockSupport_c.h>
#include <platform/helpers.h>

__attribute__((weak)) USART_TypeDef _USART1;
__attribute__((weak)) USART_TypeDef _USART2;
__attribute__((weak)) USART_TypeDef _USART3;
__attribute__((weak)) USART_TypeDef _USART6;

void LL_USART_EnableIT_IDLE(USART_TypeDef *USARTx)
{
	mock_c()->actualCall(__FUNCTION__)->
			withPointerParameters(TOSTR(USARTx), USARTx);
}


void LL_USART_EnableIT_TC(USART_TypeDef *USARTx)
{
	mock_c()->actualCall(__FUNCTION__)->
			withPointerParameters(TOSTR(USARTx), USARTx);
}


void LL_USART_DisableIT_TC(USART_TypeDef *USARTx)
{
	mock_c()->actualCall(__FUNCTION__)->
			withPointerParameters(TOSTR(USARTx), USARTx);
}


uint32_t LL_USART_IsEnabledIT_IDLE(USART_TypeDef *USARTx)
{
	return mock_c()->actualCall(__FUNCTION__)->
			withPointerParameters(TOSTR(USARTx), USARTx)->
			returnUnsignedIntValueOrDefault(1);
}


uint32_t LL_USART_IsEnabledIT_TC(USART_TypeDef *USARTx)
{
	return mock_c()->actualCall(__FUNCTION__)->
			withPointerParameters(TOSTR(USARTx), USARTx)->
			returnUnsignedIntValueOrDefault(1);
}


void LL_USART_EnableDMAReq_RX(USART_TypeDef *USARTx)
{
	mock_c()->actualCall(__FUNCTION__)->
			withPointerParameters(TOSTR(USARTx), USARTx);
}


void LL_USART_EnableDMAReq_TX(USART_TypeDef *USARTx)
{
	mock_c()->actualCall(__FUNCTION__)->
			withPointerParameters(TOSTR(USARTx), USARTx);
}



uint32_t LL_USART_DMA_GetRegAddr(USART_TypeDef *USARTx)
{
	return mock_c()->actualCall(__FUNCTION__)->
			withPointerParameters(TOSTR(USARTx), USARTx)->
			returnUnsignedIntValueOrDefault(0);
}


uint32_t LL_USART_IsActiveFlag_IDLE(USART_TypeDef *USARTx)
{
	return mock_c()->actualCall(__FUNCTION__)->
			withPointerParameters(TOSTR(USARTx), USARTx)->
			returnUnsignedIntValueOrDefault(1);
}


uint32_t LL_USART_IsActiveFlag_TC(USART_TypeDef *USARTx)
{
	return mock_c()->actualCall(__FUNCTION__)->
			withPointerParameters(TOSTR(USARTx), USARTx)->
			returnUnsignedIntValueOrDefault(1);
}


void LL_USART_ClearFlag_ORE(USART_TypeDef *USARTx)
{
	mock_c()->actualCall(__FUNCTION__)->
			withPointerParameters(TOSTR(USARTx), USARTx);
}


void LL_USART_ClearFlag_IDLE(USART_TypeDef *USARTx)
{
	mock_c()->actualCall(__FUNCTION__)->
			withPointerParameters(TOSTR(USARTx), USARTx);
}


void LL_USART_EnableDirectionTx(USART_TypeDef *USARTx)
{
	mock_c()->actualCall(__FUNCTION__)->
			withPointerParameters(TOSTR(USARTx), USARTx);
}


void LL_USART_DisableDirectionTx(USART_TypeDef *USARTx)
{
	mock_c()->actualCall(__FUNCTION__)->
			withPointerParameters(TOSTR(USARTx), USARTx);
}


